function mark_as_active() {
  /* Get current path */
  var currPath = document.location.pathname.replace(/^.*[\\/]/, '')
  /* If current path is not empty, mark all anchros that link to it as active */
  if (currPath != "") {
    document.querySelectorAll("a[href$=\"" + currPath + "\"]").forEach(
      function(x) {
        x.classList.add("active"); 
      }
    );
  }
}

/* run function asynchroniously */
setTimeout(mark_as_active, 0);
